Agent Governance Protocol
API ReferenceExecution APIOperations

Get async operation status

GET
/agp/operations/{operationId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.execution.read, agp.execution.write

Path Parameters

operationId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/operations/string"
{  "operation_id": "string",  "status": "pending",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "status_url": "http://example.com",  "result_url": "http://example.com",  "callback_url": "http://example.com",  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}